{{ block "clickToEdit" . }}
<div hx-target="this" hx-swap="outerHTML">
	<h2>Contacts</h2>
	<ul>
		{{ range .Contacts }}
		<li hx-get="/clickToEdit/contact/{{ .Id }}">{{ .Firstname }} {{ .Lastname }}</li>
		{{ end }}
	</ul>
</div>
{{ end }}


{{ block "clickToEdit_contact" . }}
<div hx-target="this" hx-swap="outerHTML">
	<div><label>First Name</label>: {{ .Contact.Firstname }}</div>
	<div><label>Last Name</label>: {{ .Contact.Lastname }}</div>
	<div><label>Email</label>: {{ .Contact.Email }}</div>
	<button hx-get="/clickToEdit/contact/{{ .Contact.Id }}/edit" class="btn btn-primary">
		Click To Edit
	</button>
</div>
{{ end }}


{{ block "clickToEdit_edit" . }}
<form hx-put="/clickToEdit/contact/{{ .Contact.Id }}" hx-target="this" hx-swap="outerHTML">
	<div>
		<label>First Name</label>
		<input type="text" name="firstname" value="{{ .Contact.Firstname }}">
	</div>
	<div class="form-group">
		<label>Last Name</label>
		<input type="text" name="lastname" value="{{ .Contact.Lastname }}">
	</div>
	<div class="form-group">
		<label>Email Address</label>
		<input type="email" name="email" value="{{ .Contact.Email }}">
	</div>
	<button class="btn">Submit</button>
	<button class="btn" hx-get="/clickToEdit/contact/{{ .Contact.Id }}">Cancel</button>
</form>
{{ end }}

{{ block "clickToEdit_edit_success" . }}
{{ template "clickToEdit_contact" . }}
<p>Successfully updated contact</p>
{{ end }}

{{ block "clickToEdit_404" . }}
<div>
	<h1>404. Contact Not Found</h1>
	<pre>
	{{ .Error }}
	</pre>
</div>
{{ end }}
